summaryrefslogtreecommitdiffstats
path: root/academic/avogadro/avogadro.SlackBuild
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:57:14 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:14 +0200
commit98fc08b975aeb6bb3d0edb368a041a44c2b3f921 (patch)
treea11ec4cb9e230c62a91e43dfa7a4fa7c68c918ee /academic/avogadro/avogadro.SlackBuild
parent4c8473ac5a945bc15198eeb50f7f0d00d9913d03 (diff)
downloadslackbuilds-98fc08b975aeb6bb3d0edb368a041a44c2b3f921.tar.gz
slackbuilds-98fc08b975aeb6bb3d0edb368a041a44c2b3f921.tar.xz
academic/avogadro: Added to 13.0 repository
Diffstat (limited to 'academic/avogadro/avogadro.SlackBuild')
-rw-r--r--academic/avogadro/avogadro.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/academic/avogadro/avogadro.SlackBuild b/academic/avogadro/avogadro.SlackBuild
new file mode 100644
index 0000000000..35665408e5
--- /dev/null
+++ b/academic/avogadro/avogadro.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for Avogadro
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=avogadro
+VERSION=${VERSION:-0.9.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix icon name in desktop menu item.
+sed -i '/^Icon/s|=.*|=avogadro-icon.png|' avogadro/src/avogadro.desktop
+
+mkdir build && cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DENABLE_RPATH=OFF \
+ -DCMAKE_SKIP_RPATH=YES \
+ -DENABLE_GLSL=ON \
+ -DENABLE_UPDATE_CHECKER=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd -
+
+# Remove file to prevent avogadro from segfaulting.
+#rm -f $PKG/usr/share/libavogadro/extensionScripts/example.py
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man1
+install -m 0644 $CWD/$PRGNAM.1 $PKG/usr/man/man1/
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL cmake/modules/COPYING-CMAKE-SCRIPTS \
+ avogadro/gl2ps/{COPYING*,TODO} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}